{ stdenv, fetchgit, crystal, customCrystal, sqlite, openssl, pkg-config }:
let
    url = "https://dev.danilafe.com/Crystal-Bots/joann-pupper-bot";
    rev = "8d90b052a001a6101dc691a907a16de4fb0a26ee";
    sha256 = "0r2xyfqj9v73y9il90f2mp2x5h79nbv4yhfsh79kn1w0li6nlx3s";
in
    customCrystal {
	inherit crystal;
        pname = "joann-pupper-bot";
	version = rev;
	src = fetchgit { inherit url rev sha256; };
	shardsFile = ./shards.nix;
	gitShardsFile = ./git-shards.nix;
	crystalBinaries.joann-pupper-bot.src = "src/joann-pupper-bot.cr";
	buildInputs = [ sqlite openssl pkg-config ];
    }
